socket_traits_unix.hpp File Reference

Unix interface for using sockets. More...

`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <sys/stat.h>`
`#include <netinet/in.h>`
`#include <netinet/tcp.h>`
`#include <netdb.h>`
`#include <unistd.h>`
`#include <cstring>`
`#include <claw/assert.hpp>`

Go to the source code of this file.

## Classes

class | claw::socket_traits_unix
| Unix interface for using sockets. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Typedefs

typedef socket_traits_unix | claw::socket_traits

## Detailed Description

Unix interface for using sockets.

Author
  Julien Jorge

Definition in file socket_traits_unix.hpp.